import React, {
	Component
} from 'react';
import {
	observer
} from 'mobx-react';
import {
	WeaRightMenu,
	WeaNewScroll,
	WeaCheckbox
} from 'ecCom';

export default class ScheduleList extends Component {
	constructor(props) {
		super(props);
	}

	componentDidMount() {}

	componentWillReceiveProps(nextProps) {}

	render() {
		const {
			store,
			items
		} = this.props;
		const {
			getDialogOpButtons,
			editorDialogRightMenu
		} = store;
		getDialogOpButtons();

		return (
			<WeaNewScroll ecId={`${this && this.props && this.props.ecId || ''}_WeaNewScroll@2fyoax`} height={'100%'}>
				<WeaRightMenu ecId={`${this && this.props && this.props.ecId || ''}_WeaRightMenu@dk17m9`} datas={editorDialogRightMenu}>
					<div className='cancelScheduleList'>
						{
							items.map((item, index) => {
								return <WeaCheckbox ecId={`${this && this.props && this.props.ecId || ''}_WeaCheckbox@lyvrn2@${index}`} id={item.value} content={item.title} onChange={(val) => item.checked = (val === '1' ? true : false)} />
							})
						}
					</div>
				</WeaRightMenu>
			</WeaNewScroll>
		)
	}
}